Package org.h2.result

# Class MergedResult

java.lang.Object
org.h2.result.MergedResult

public final class MergedResult extends Object
Merged result. Used to combine several results into one. Merged result will contain rows from all appended results. Results are not required to have the same lists of columns, but required to have compatible column definitions, for example, if one result has a `Types.VARCHAR` column `NAME` then another results that have `NAME` column should also define it with the same type.

## Constructor Summary

Constructors
Constructor
Description
`MergedResult()`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(ResultInterface result)`
Appends a result.
`SimpleResult`
`getResult()`
Returns merged results.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MergedResult

public MergedResult()

## Method Details

### add

public void add(ResultInterface result)
Appends a result.

Parameters:
  `result` - result to append

### getResult

public SimpleResult getResult()
Returns merged results.

Returns:
  result with rows from all appended result sets

### toString

public String toString()

Overrides:
  `toString` in class `Object`